"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PathDrawer = void 0;
const engine_1 = require("@tsparticles/engine");
const Utils_js_1 = require("./Utils.js");
class PathDrawer {
    constructor() {
        this.validTypes = ["path"];
    }
    draw(data) {
        const { context, particle, radius } = data;
        if (!particle.pathData) {
            return;
        }
        (0, Utils_js_1.drawPath)(context, radius, particle.pathData);
    }
    particleInit(container, particle) {
        const shape = particle.shapeData;
        if (!shape) {
            return;
        }
        particle.pathData = (0, engine_1.deepExtend)({}, shape);
    }
}
exports.PathDrawer = PathDrawer;
